### Function

# GimpUi init

#### Declaration [src]

    void
    gimp_ui_init (
      const gchar* prog_name
    )

#### Description [src]

This function initializes GTK+ with gtk_init().

It also sets up various other things so that the plug-in user looks and behaves like the GIMP core. This includes selecting the GTK+ theme and setting up the help system as chosen in the GIMP preferences. Any plug-in that provides a user interface should call this function.

#### Parameters

`prog_name` | `const gchar*`
| The name of the plug-in which will be passed as argv[0] to gtk_init(). It’s a convention to use the name of the executable and not the PDB procedure name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.